#ifndef HEADER_DH_H
#include <openssl/dh.h>
#endif
DH *get_dh512()
	{
	static unsigned char dh512_p[]={
		0xA9,0x93,0x05,0x4E,0x1C,0x3A,0x15,0xB8,0xF9,0x47,0xD1,0xE3,
		0x9F,0x88,0x14,0x1B,0xEC,0x94,0xC1,0xC9,0x72,0x01,0xA6,0xBF,
		0xBD,0x95,0xB4,0xCB,0xE7,0x34,0xC7,0x0C,0x78,0x4A,0xD6,0xE6,
		0xA8,0x58,0x42,0x71,0x7D,0x2C,0xC2,0x03,0x0F,0x8D,0x2B,0x15,
		0xA4,0xEF,0xDC,0xDA,0xC1,0x6E,0x93,0xBE,0x04,0xD8,0x37,0x0F,
		0x8B,0x5F,0x5E,0xBB,
		};
	static unsigned char dh512_g[]={
		0x05,
		};
	DH *dh;

	if ((dh=DH_new()) == NULL) return(NULL);
	dh->p=BN_bin2bn(dh512_p,sizeof(dh512_p),NULL);
	dh->g=BN_bin2bn(dh512_g,sizeof(dh512_g),NULL);
	if ((dh->p == NULL) || (dh->g == NULL))
		{ DH_free(dh); return(NULL); }
	return(dh);
	}
